apt-get update error

Postby techbrainless » 2009-07-04 19:48
Hi All,

I have run tried to update apt-get but i have got the following result ,
Code: Select all
# apt-get update
Err http://non-us.debian.org stable/non-US Release.gpg                                                       
  Could not resolve 'non-us.debian.org'
Ign http://non-us.debian.org stable/non-US Release                                                           
Ign http://non-us.debian.org stable/non-US/main Packages
Ign http://non-us.debian.org stable/non-US/contrib Packages
Get:1 http://security.debian.org stable/updates Release.gpg [835B]             
Ign http://non-us.debian.org stable/non-US/non-free Packages                   
Err http://non-us.debian.org stable/non-US/main Packages                       
  Could not resolve 'non-us.debian.org'
Get:2 http://security.debian.org stable/updates Release [40.8kB]               
Err http://non-us.debian.org stable/non-US/contrib Packages                         
  Could not resolve 'non-us.debian.org'
Err http://non-us.debian.org stable/non-US/non-free Packages                         
  Could not resolve 'non-us.debian.org'
Ign http://security.debian.org stable/updates Release                               
Ign http://security.debian.org stable/updates/main Packages/DiffIndex                                                             
Ign http://security.debian.org stable/updates/contrib Packages/DiffIndex                                                         
Ign http://security.debian.org stable/updates/non-free Packages/DiffIndex                                                         
Get:3 http://http.us.debian.org stable Release.gpg [1032B]                                                                       
Get:4 http://security.debian.org stable/updates/main Packages [131kB]
Hit http://security.debian.org stable/updates/contrib Packages         
Hit http://security.debian.org stable/updates/non-free Packages             
Hit http://http.us.debian.org stable Release                                                                                     
Err http://http.us.debian.org stable Release                                                                                     
 
Get:5 http://http.us.debian.org stable Release [73.6kB]                                                                           
Ign http://http.us.debian.org stable Release
Ign http://http.us.debian.org stable/main Packages/DiffIndex                                                                     
Ign http://http.us.debian.org stable/contrib Packages/DiffIndex                                                                   
Ign http://http.us.debian.org stable/non-free Packages/DiffIndex
Hit http://http.us.debian.org stable/main Packages
Hit http://http.us.debian.org stable/contrib Packages
Hit http://http.us.debian.org stable/non-free Packages
Fetched 247kB in 1m5s (3780B/s)
Failed to fetch http://non-us.debian.org/debian-non-US/dists/stable/non-US/Release.gpg  Could not resolve 'non-us.debian.org'
Failed to fetch http://non-us.debian.org/debian-non-US/dists/stable/non-US/main/binary-i386/Packages.gz  Could not resolve 'non-us.debian.org'
Failed to fetch http://non-us.debian.org/debian-non-US/dists/stable/non-US/contrib/binary-i386/Packages.gz  Could not resolve 'non-us.debian.org'
Failed to fetch http://non-us.debian.org/debian-non-US/dists/stable/non-US/non-free/binary-i386/Packages.gz  Could not resolve 'non-us.debian.org'
Reading package lists... Done
W: GPG error: http://security.debian.org stable/updates Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 9AA38DCD55BE302B
W: GPG error: http://http.us.debian.org stable Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 9AA38DCD55BE302B NO_PUBKEY 4D270D06F42584E6
W: Couldn't stat source package list http://non-us.debian.org stable/non-US/main Packages (/var/lib/apt/lists/non-us.debian.org_debian-non-US_dists_stable_non-US_main_binary-i386_Packages) - stat (2 No such file or directory)
W: Couldn't stat source package list http://non-us.debian.org stable/non-US/contrib Packages (/var/lib/apt/lists/non-us.debian.org_debian-non-US_dists_stable_non-US_contrib_binary-i386_Packages) - stat (2 No such file or directory)
W: Couldn't stat source package list http://non-us.debian.org stable/non-US/non-free Packages (/var/lib/apt/lists/non-us.debian.org_debian-non-US_dists_stable_non-US_non-free_binary-i386_Packages) - stat (2 No such file or directory)
W: Couldn't stat source package list http://non-us.debian.org stable/non-US/main Packages (/var/lib/apt/lists/non-us.debian.org_debian-non-US_dists_stable_non-US_main_binary-i386_Packages) - stat (2 No such file or directory)
W: Couldn't stat source package list http://non-us.debian.org stable/non-US/contrib Packages (/var/lib/apt/lists/non-us.debian.org_debian-non-US_dists_stable_non-US_contrib_binary-i386_Packages) - stat (2 No such file or directory)
W: Couldn't stat source package list http://non-us.debian.org stable/non-US/non-free Packages (/var/lib/apt/lists/non-us.debian.org_debian-non-US_dists_stable_non-US_non-free_binary-i386_Packages) - stat (2 No such file or directory)
W: You may want to run apt-get update to correct these problems
E: Some index files failed to download, they have been ignored, or old ones used instead.




so how do fix that .
techbrainless
 
Posts: 15
Joined: 2009-07-03 19:14

Re: apt-get update error

Postby craigevil » 2009-07-04 19:50
non-US was deprecated when Sarge was released remove that line from your sources.list
Debian Sid KDE Kernel 3.17 Thinkpad R40 Intel M 1.3 CPU 2GB RAM Radeon Mobility 7500
Debian - "If you can't apt-get something, it isn't useful or doesn't exist"
Debian upgrade script smxi | sysinfo script inxi
User avatar
craigevil
 
Posts: 5192
Joined: 2006-09-17 03:17
Location: Oz

Re: apt-get update error

Postby techbrainless » 2009-07-04 20:02
Thanks alot for the reply ,

I have commented this line

deb http://non-us.debian.org/debian-non-US stable/non-US main contrib non-free



but am still getting the following


Code: Select all
# apt-get update
Get:1 http://security.debian.org stable/updates Release.gpg [835B]
Hit http://security.debian.org stable/updates Release
Err http://security.debian.org stable/updates Release
 
Get:2 http://http.us.debian.org stable Release.gpg [1032B]
Get:3 http://security.debian.org stable/updates Release [40.8kB]
Hit http://http.us.debian.org stable Release           
Err http://http.us.debian.org stable Release             
 
Get:4 http://http.us.debian.org stable Release [73.6kB]   
Ign http://security.debian.org stable/updates Release               
Ign http://security.debian.org stable/updates/main Packages/DiffIndex
Ign http://security.debian.org stable/updates/contrib Packages/DiffIndex
Ign http://security.debian.org stable/updates/non-free Packages/DiffIndex
Hit http://security.debian.org stable/updates/main Packages
Ign http://http.us.debian.org stable Release                                           
Hit http://security.debian.org stable/updates/contrib Packages               
Hit http://security.debian.org stable/updates/non-free Packages             
Ign http://http.us.debian.org stable/main Packages/DiffIndex               
Ign http://http.us.debian.org stable/contrib Packages/DiffIndex
Ign http://http.us.debian.org stable/non-free Packages/DiffIndex
Hit http://http.us.debian.org stable/main Packages
Hit http://http.us.debian.org stable/contrib Packages                                                                             
Hit http://http.us.debian.org stable/non-free Packages                                                                           
Fetched 116kB in 6s (18.1kB/s)                                                                                                   
Reading package lists... Done
W: GPG error: http://security.debian.org stable/updates Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 9AA38DCD55BE302B
W: GPG error: http://http.us.debian.org stable Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 9AA38DCD55BE302B NO_PUBKEY 4D270D06F42584E6
W: You may want to run apt-get update to correct these problems


and by the way my sources.list file currently is as the following

Code: Select all
#cat /etc/apt/sources.list
#see sources.list(5) for more information, especially
     # Remember that you can only use http, ftp or file URIs
     # CDROMs are managed through the apt-cdrom tool.
     deb http://http.us.debian.org/debian stable main contrib non-free
     #deb http://non-us.debian.org/debian-non-US stable/non-US main contrib non-free
     deb http://security.debian.org stable/updates main contrib non-free
   
     # Uncomment if you want the apt-get source function to work
     #deb-src http://http.us.debian.org/debian stable main contrib non-free
     #deb-src http://non-us.debian.org/debian-non-US stable/non-US main contrib non-free
techbrainless
 
Posts: 15
Joined: 2009-07-03 19:14

Re: apt-get update error

Postby Lavene » 2009-07-05 06:58
Code: Select all
apt-get install debian-keyring
apt-get update

Ignore the warning when installing the keyring.
Lavene
Site admin
 
Posts: 5098
Joined: 2006-01-04 04:26
Location: Oslo, Norway

Re: apt-get update error

Postby techbrainless » 2009-07-05 19:41
Lavene Thanks alot ........

#apt-get install debian-keyring is a great


I have did the following to fix the problem..

1) #apt-get install -f

2) #apt-get install debian-keyring

the above 2 commands were enough to fix the issue.


Thanks to all...........

Entradas populares de este blog